Package org.gradle.language

## Interface ComponentWithOutputs

- All Superinterfaces:
    `Named`, `SoftwareComponent`
  All Known Subinterfaces:
    `CppExecutable`, `CppSharedLibrary`, `CppStaticLibrary`, `SwiftExecutable`, `SwiftSharedLibrary`, `SwiftStaticLibrary`

      public interface ComponentWithOutputs
      extends SoftwareComponent

  Represents a component with output files.
  Since:
    4.5

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.gradle.api.Named

      `Named.Namer`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `FileCollection` | `getOutputs()` | Returns the outputs produced for this component.

    - ### Methods inherited from interface org.gradle.api.Named

      `getName`

- - ### Method Detail

    - #### getOutputs

          FileCollection getOutputs()

      Returns the outputs produced for this component.